# $Revision: 1.33 $, $Date: 2011/02/12 13:47:47 $
# NOTE: for more recent version of servletapi see tomcat.spec
# TODO:
#   - fix all specs that requires servletapi5, servlet etc. They should require java(servlet)
#   - split into two packages, if it really needs to co-exist with other servlet-api.jar provider
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%define		jspapiver	2.0
%define		servletapiver	2.4

%include	/usr/lib/rpm/macros.java

%define		srcname		servletapi5
Summary:	Java Servlet 2.4 and JSP 2.0 implementation classes
Summary(pl.UTF-8):	Klasy z implementacją Java Servlet 2.4 i JSP 2.0
Name:		java-servletapi5
Version:	5.5.33
Release:	1
License:	Apache v2
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/tomcat/tomcat-5/v%{version}/src/apache-tomcat-%{version}-src.tar.gz
# Source0-md5:	7811f4f1cdfd37cb22d421d2030818de
Patch0:		jakarta-servletapi5-target.patch
URL:		http://tomcat.apache.org/
BuildRequires:	ant
BuildRequires:	jdk >= 1.5
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
Requires:	jpackage-utils
Requires:	jre >= 1.5
Provides:	java(jsp) = %{jspapiver}
Provides:	java(servlet) = %{servletapiver}
Obsoletes:	classpathx_servlet
Obsoletes:	jakarta-servletapi
Obsoletes:	jakarta-servletapi5
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This subproject contains the compiled code for the implementation
classes of the Java Servlet 2.4 and JSP 2.0 APIs (packages
javax.servlet, javax.servlet.http, javax.servlet.jsp, and
javax.servlet.jsp.tagext).

%description -l pl.UTF-8
Ten podprojekt zawiera skompilowany kod implementacji klas API Java
Servlet 2.4 i JSP 2.0 (pakiety javax.servlet, javax.servlet.http,
javax.servlet.jsp i java.servlet.jsp.tagext).

%package javadoc
Summary:	servletapi 5 documentation
Summary(pl.UTF-8):	Dokumentacja do servletapi 5
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-servletapi5-javadoc

%description javadoc
servletapi 5 documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do servletapi 5.

%prep
%setup -qc
mv apache-tomcat-%{version}-src/servletapi/* .
%patch0 -p0

%build

%ant -f jsr154/build.xml dist \
	-Dbuild.compiler=extJavac \
	-Dservletapi.build=build \
	-Dservletapi.dist=dist

%ant -f jsr152/build.xml dist \
	-Dbuild.compiler=extJavac \
	-Dservletapi.build=build \
	-Dservletapi.dist=dist

%install
rm -rf $RPM_BUILD_ROOT

# JSP 2.0 and Servlet 2.4 classes
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a jsr152/dist/lib/jsp-api.jar $RPM_BUILD_ROOT%{_javadir}/jsp-api-%{jspapiver}.jar
cp -a jsr154/dist/lib/servlet-api.jar $RPM_BUILD_ROOT%{_javadir}/servlet-api-%{servletapiver}.jar

ln -s servlet-api-%{servletapiver}.jar $RPM_BUILD_ROOT%{_javadir}/servlet-api.jar
ln -s jsp-api-%{jspapiver}.jar $RPM_BUILD_ROOT%{_javadir}/jsp-api.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}
cp -a jsr152/dist/docs/api $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}/jsp-api
cp -a jsr154/dist/docs/api $RPM_BUILD_ROOT%{_javadocdir}/%{srcname}-%{version}/servlet-api
ln -s %{srcname}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{srcname} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{srcname}-%{version} %{_javadocdir}/%{srcname}

%files
%defattr(644,root,root,755)
%{_javadir}/jsp-api-%{jspapiver}.jar
%{_javadir}/jsp-api.jar
%{_javadir}/servlet-api-%{servletapiver}.jar
%{_javadir}/servlet-api.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{srcname}-%{version}
%ghost %{_javadocdir}/%{srcname}
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-servletapi5.spec,v $
Revision 1.33  2011/02/12 13:47:47  qboosh
- completed previous changelog entry (upgrade to 5.5.33)

Revision 1.32  2011/02/12 13:44:36  qboosh
- updated to 5.5.33
- unified java(jsp) and java(servlet) Provides

Revision 1.31  2010/04/18 08:59:48  jajcus
- always install servlet-api.jar, otherwise 'Provides: java(Servlet)' makes no sense.

Revision 1.30  2010/04/17 20:01:47  jajcus
- do not force gcj/java_sun

Revision 1.29  2009/09/20 18:59:37  pawelz
- fixed symlinks
- rel 3 (for Titanium only. There is no need to rebuild it for Th or Ac)

Revision 1.28  2009/09/09 17:23:55  glen
- do what the comment says!

Revision 1.27  2009/09/09 14:20:16  pawelz
- rel 2

Revision 1.26  2009/09/09 14:18:28  pawelz
- use api version instead of tomcat version for versioning jar

Revision 1.25  2009/09/09 13:57:25  pawelz
- dropped P: jakarta-servletapi5. All packages should use java(servlet) deps
- dropped servletapi5.jar. all packages should use servlet-api-%{apiver}.jar

Revision 1.24  2009/09/09 13:54:15  pawelz
- on Th install only versioned jars, to allow it coexist with java-servletapi
  from tomcat6

Revision 1.23  2009/08/19 07:06:10  pawelz
- up to 5.5.28
- P: java(JSP) = %{jspapiver}
- P: java(Servlet) = %{servletapiver}
- dropped old "Provides"

Revision 1.22  2009/06/09 18:28:23  pawelz
- security patch (CVE-2009-0781)
- rel 6

Revision 1.21  2009/05/18 11:43:11  pawelz
- O: jakarta-servletapi (dropped "< 4")
- "Obsoletes" for -javadoc subpackage
- rel 5

Revision 1.20  2009/03/26 19:21:40  paszczus
- close %if

Revision 1.19  2009/03/26 19:18:58  paszczus
- added bcond for Titanium

Revision 1.18  2009/03/16 00:23:43  pawelz
- typo

Revision 1.17  2009/03/16 00:18:31  pawelz
- versioned "P: servletapi"
- unify javadocs
- License version
- rel 4

Revision 1.16  2009/03/15 19:28:06  pawelz
- it provides servletapi 2.4, not 5.5.27.
- added with_java_sun bcond
- rel 3

Revision 1.15  2009/02/04 21:54:04  pawelz
- sorted P:
- Obsoletes classpathx_servlet
- rel 2

Revision 1.14  2009/02/02 09:22:34  pawelz
- use gcj for compilation

Revision 1.13  2009/01/23 17:15:32  pawelz
- reverted last change (there was no such package as java-servletapi)
- P:servletapi

Revision 1.12  2009/01/23 17:10:45  pawelz
- O:java-servletapi < 4

Revision 1.11  2009/01/22 12:00:06  pawelz
- up to 5.5.27 (only src and md5)

Revision 1.10  2008/11/23 23:52:33  glen
- rename to java-servletapi5.spec

Revision 1.9  2008/04/11 07:19:49  glen
- update to 5.5.26

Revision 1.8  2007-12-13 23:47:02  glen
- unify java package
- provide versioned servlet
- rel 3

Revision 1.7  2007-12-07 23:28:23  glen
- save old changes

Revision 1.6  2007-12-07 20:00:25  glen
- adapter

Revision 1.5  2007-12-07 19:59:07  glen
- use own builddir
- compile with java target 1.3
- provide versioned jakarta-servletapi
- java package unify

Revision 1.4  2007-04-11 20:30:49  glen
- need jdk >= 1.5 for org.xml.sax.ext.Attributes2

Revision 1.3  2007/04/11 06:35:56  qboosh
- pl
- fixed md5

Revision 1.2  2007/04/10 23:39:02  glen
- compiled classes not source

Revision 1.1  2007/04/10 23:37:50  glen
- new, somewhat based on jakarta-servletapi4.spec
